Bug 239194 - Plugin uses incompatible Qt library
Plugin uses incompatible Qt library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 17:35 EDT by Tom Horsley
Modified: 2008-01-02 08:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 08:33:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
list of kde and qt rpms (1.39 KB, text/plain)
2007-05-05 17:35 EDT, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2007-05-05 17:35:25 EDT
Description of problem:

I build a qt3 program in native x86_64 mode on my fc7t4 system. I'm not
using kde, it merely happens to be installed on this system.

I run the program I just built, and while it runs fine, it spews a large
number of these things on stderr:

...
Conflict in /usr/lib/kde3/plugins/styles/scheck.so:
  Plugin uses incompatible Qt library!
  expected build key "x86_64 Linux g++-4.* full-config", got "i686 Linux g++-4.*
full-config".
Conflict in /usr/lib/kde3/plugins/styles/highcolor.so:
  Plugin uses incompatible Qt library!
  expected build key "x86_64 Linux g++-4.* full-config", got "i686 Linux g++-4.*
full-config".
Conflict in /usr/lib/kde3/plugins/styles/keramik.so:
  Plugin uses incompatible Qt library!
  expected build key "x86_64 Linux g++-4.* full-config", got "i686 Linux g++-4.*
full-config".

Clearly these are all 32 bit libraries, and I've got a 64 bit program, so
it is no wonder they are incompatible, but why on earth is it even looking
at them? I don't see this when I boot fc6 (which also has kde installed
on it).

Version-Release number of selected component (if applicable):

See attachment for all the kde and qt related packages installed
on the system (no doubt the duplicates represent i386 versus x86_64
which I wish the rpm -q command would mention without me having to
dig up obscure format options :-).

The program I was building is at:

http://home.att.net/~Tom.Horsley/qtmess-0.5alpha.tar.bz2

My QT env var settings were:

QTDIR=/usr/lib64/qt-3.3
QTINC=/usr/lib64/qt-3.3/include
PATH=/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/NX/bin:/usr/games:/home/tom/scripts
QTLIB=/usr/lib64/qt-3.3/lib


How reproducible:

Every time

Steps to Reproduce:
1. unpack tar file, make, sudo make install
2. qtmess -theme late
3. see gibberish spew on stderr
  
Actual results:

see above

Expected results:

nice quiet execution

Additional info:
Comment 1 Tom Horsley 2007-05-05 17:35:25 EDT
Created attachment 154213 [details]
list of kde and qt rpms
Comment 2 Tom Horsley 2007-06-03 10:13:31 EDT
I have the final Fedora 7 installed now (with much the same "all optional
packages" scheme I used during test4). I don't see these plugin warnings
anymore, so whatever this was, looks fixed in the final f7 release.
Comment 3 Lukáš Tinkl 2008-01-02 08:33:56 EST
Fixed according to reporter

Note You need to log in before you can comment on or make changes to this bug.